// Fill out your copyright notice in the Description page of Project Settings.


#include "AIEnemy_Pawn.h"

// Sets default values
AAIEnemy_Pawn::AAIEnemy_Pawn()
{
 	// Set this pawn to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

	//Create root box component -- Collide with all --
	BoxComponent = CreateDefaultSubobject<UBoxComponent>(TEXT("Box Component"));
	RootComponent = BoxComponent;

	//Create attack collider -- Overlap --
	attackCollider = CreateDefaultSubobject<UBoxComponent>(TEXT("Attack Collider"));
	attackCollider->AddToRoot();

	//Create skeletal mesh for enemy mesh
	SkeletalMesh = CreateDefaultSubobject<USkeletalMesh>(TEXT("Skeletal Mesh"));
	SkeletalMesh->AddToRoot();

	//
	//Cooldown and health will be set and altered in blueprint to easily test game
	//
}

// Called when the game starts or when spawned
void AAIEnemy_Pawn::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void AAIEnemy_Pawn::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

// Called to bind functionality to input
void AAIEnemy_Pawn::SetupPlayerInputComponent(UInputComponent* PlayerInputComponent)
{
	Super::SetupPlayerInputComponent(PlayerInputComponent);

}

